Si algunos de nuestros foros, manuales, ALDOS, paquetería o proyectos te han resultado de ayuda, apreciaremos mucho nos apoyes con un donativo.

 Índice > Todo acerca de Linux > Soporte técnico de ALDOS Nuevo tema Publicar Respuesta
 Problema Wine Aldos
Tema anterior
   
César Martínez
Publicado en 29/09/17 03:48 (Leído 292 veces)  

Participa poco

Estado: desconectado
Forum User

Inscrito: 19/07/09
Publicaciones: 21
Saludos amigos, estoy con un problema con mi wine hasta antes de ayer estaba funcionando bien, al parecer alguna actualización de Aldos en estos dos días hizo que deje de funcionar, estoy usando esta versión de Aldos ALDOS release 1.4.12 (Activism).

No se si sea algo de las fuentes cuando abro mi thunderbird veo que las fuentes salen como distorsionadas, no veo nada raro en los logs, estaba probando con teanviewer por ejemplo y en el log sale esto https://ibb.co/mQrYBG

No se si alguien ha tenido este problema y me pueda ayudar.
 
Perfil
 Citar
Joel Barrios Dueñas
Publicado en 29/09/17 05:59  

Admin

Estado: desconectado
Site Admin

Inscrito: 17/02/07
Publicaciones: 1626
País:Mexico
Diagnosticando y viendo como resolverlo... ¡Gracias por el reporte!
 
Perfil Sitio Web
 Citar
Joel Barrios Dueñas
Publicado en 29/09/17 07:17  

Admin

Estado: desconectado
Site Admin

Inscrito: 17/02/07
Publicaciones: 1626
País:Mexico
El problema es debido a la nueva versión de FreeType. Tengo que actualizar versión de wine o bien meter un parche a la versión actual (voy a analizar ambas opciones).

Mientras preparo nuevos paquetes de Wine, ejecuta lo siguiente:

yum -y downgrade freetype*

Y mientras hago nuevos paquetes, para evitar actualices accidentalmente, añade en /etc/yum.conf:

exclude=freetype*
 
Perfil Sitio Web
 Citar
Joel Barrios Dueñas
Publicado en 29/09/17 08:09  

Admin

Estado: desconectado
Site Admin

Inscrito: 17/02/07
Publicaciones: 1626
País:Mexico
Bug con Freetype 2.8.1 está presente en todas las versiones de Wine.

https://bugs.winehq.org/show_bug.cgi?id=43716

En breve haré nuevos paquetes de Wine 2.17 + 2 parches que resuelven problema (salvo que salga 2.18).
 
Perfil Sitio Web
 Citar
César Martínez
Publicado en 29/09/17 08:29  

Participa poco

Estado: desconectado
Forum User

Inscrito: 19/07/09
Publicaciones: 21
Gracias Joel, estaré al pendiente de la nueva actualización de momento con remover el paquete esta funcionando, gracias nuevamente
 
Perfil
 Citar
Joel Barrios Dueñas
Publicado en 29/09/17 09:56  

Admin

Estado: desconectado
Site Admin

Inscrito: 17/02/07
Publicaciones: 1626
País:Mexico
Wine 2.18 (publicado hace unas horas) compila y funciona perfecto. Pero el problema que encuentro ahora es que aplicaciones que incluyen wine precompilado (como teamviewer) dejan de funcionar. Por tanto y en favor de mantener compatibilidad con las aplicaciones comerciales, voy a bajar la versión de freetype de 2.8.1 a la 2.6.5.

Todo lo que debes hacer es esperar unos 30 minutos y darle yum -y update. Lo anterior va a bajar la versión de freetype a la 1:2.6.5-10 y resolver por completo problema con wine.
 
Perfil Sitio Web
 Citar
César Martínez
Publicado en 01/10/17 06:49  

Participa poco

Estado: desconectado
Forum User

Inscrito: 19/07/09
Publicaciones: 21
Gracias Joel, he actualizado y esta funcionando bien.

Gracias nuevamente
 
Perfil
 Citar
Contenido generado en: 0,11 segundos Nuevo tema Publicar Respuesta
 Todas las horas son UTC. Hora actual 11:28 .
Tema normal Tema normal
Tema persistente Tema persistente
Tema cerrado Tema cerrado
Nueva publicación Nueva publicación
Persistente con nueva publicación Persistente con nueva publicación
Cerrado con nueva publicación Cerrado con nueva publicación
Ver publicaciones anónimas 
Usuarios anónimos pueden publicar 
Se permite HTML Filtrado 
Contenido censurado